Page MenuHomePhabricator

Use "vue" ResourceLoader module from core
Closed, ResolvedPublic

Description

Once the subtasks are done, the vue2 ResourceLoader module should be removed from wikibase.
see.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2020, 2:41 PM
Pablo-WMDE updated the task description. (Show Details)Mar 12 2020, 2:51 PM
Addshore added a subscriber: Addshore.

Change 605593 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Move vue2 ResourceLoader module from Lib to View

https://gerrit.wikimedia.org/r/605593

Change 605593 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move vue2 ResourceLoader module from Lib to View

https://gerrit.wikimedia.org/r/605593

Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Jul 1 2020, 3:15 PM

Change 612539 had a related patch set uploaded (by Guergana Tzatchkova; owner: Guergana Tzatchkova):
[mediawiki/extensions/Wikibase@master] vue2 ResourceLoader module removed from wikibase

https://gerrit.wikimedia.org/r/612539

Change 612539 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove vue2 ResourceLoader module from wikibase

https://gerrit.wikimedia.org/r/612539

Michael closed this task as Resolved.Aug 3 2020, 11:27 AM
Michael added a subscriber: Michael.

The vue module has been removed from Wikibase for a while now. So if there would have been any problems, we should have noticed them by now.

What remains is adding a way to ensure that the version of the module that we are expecting, and the version that is in core remain in sync, but there is a separate and dedicated task for that: T259468: Version compare apps' externalized modules and core modules.
Also, a similar, but separate task exists for vuex: T250263: Use "vuex" ResourceLoader module from core.